# NinetyEight.NELoginData

## Class NELoginData <a href="#ninetyeight_nelogindata" id="ninetyeight_nelogindata"></a>

Namespace: NinetyEight\
Assembly: APIReference.dll

Login data for the player, including their profile and authentication token.\
Used during player login to authenticate and load the profile.

```csharp
[Serializable]
public class NELoginData
```

**Inheritance**

[object](https://learn.microsoft.com/dotnet/api/system.object) ←NELoginData

**Inherited Members**

[object.Equals(object?)](https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals\(system-object\)),[object.Equals(object?, object?)](https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals\(system-object-system-object\)),[object.GetHashCode()](https://learn.microsoft.com/dotnet/api/system.object.gethashcode),[object.GetType()](https://learn.microsoft.com/dotnet/api/system.object.gettype),[object.MemberwiseClone()](https://learn.microsoft.com/dotnet/api/system.object.memberwiseclone),[object.ReferenceEquals(object?, object?)](https://learn.microsoft.com/dotnet/api/system.object.referenceequals),[object.ToString()](https://learn.microsoft.com/dotnet/api/system.object.tostring)

### Fields

#### authToken <a href="#ninetyeight_nelogindata_authtoken" id="ninetyeight_nelogindata_authtoken"></a>

The authentication token for the player. Can be null if not authenticated.

```csharp
public string? authToken
```

**Field Value**

[string](https://learn.microsoft.com/dotnet/api/system.string)?

#### profile <a href="#ninetyeight_nelogindata_profile" id="ninetyeight_nelogindata_profile"></a>

The player's game profile.

```csharp
public NEGameProfile? profile
```

**Field Value**

NEGameProfile?


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.eternals.game/gdk-documentation/unity/api-reference/v1.0.0/ninetyeight.nelogindata.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
